var KeyWords
var starttime = $("#startTime").val();
var endtime = $("#endTime").val();
var hcstate = $("#selhjstate").val();
var hfstate = $("#selhfstate").val();
var jtstate = $("#seljtstate").val();
var hjjg = $("#selhjjg").val();
var phone;
var Ly;
var Lys;
var $tableLeft = $('#tbResult');
var $tableLeft1 = $('#Result');
var $tableLeft2 = $('#thjl_tabs');
//表格提交变量
var ids;
var phones;
var resids;
var hfjgs;
var hfinfos;
var visiss;
var bzscores;
var jcyscores;
var hjscores;
var ztscores;
var scores;
var qid;
var remarks;
var token = $.cookie("token");
$(document).ready(function() {
	Finish();
	//  GetSeat();
	GetHJJG();
	GetKHFL();
});
/*通用ajax*/
function Finish() {
	//销毁表格
	$tableLeft.bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	$tableLeft.bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		//url: huayi.config.callcenter_url + "VisitTelphone/GetMyList",
		url: huayi.config.callcenter_url +"VisitTelphone/GetMyList",
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 8, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageList: [10, 20, 50, 100], //记录数可选列表
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				page: params.pageNumber,
				pagesize: params.pageSize,
				hcstate: $("#selhjstate").val(), //呼叫状态
				hfstate: $('#selhfstate').val(), //回访状态
				starttime: $("#startTime").val(),
				endtime: $("#endTime").val(),
				jtstate: $("#seljtstate").val(),
				hjjg: $("#selhjjg").val(),
				key: $("#KeyWords").val(),
				prosdate: $("#prosTime").val(),
				proedate: $("#proeTime").val(),
				qtype: $("#wtkhfl").val(),
				token: token
			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//								layer.msg("加载成功");
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}
//分配状态
function GetfpStateName(val) {
	var str = '';
	switch(val + '') {
		case 'false':
			str = "未分配";
			break;
		case 'true':
			str = "已分配";
			break;
	}
	return str;
}
//呼叫状态
function GethjStateName(val) {
	var str = '';
	switch(val + '') {
		case 'false':
			str = "未呼叫";
			break;
		case 'true':
			str = "已呼叫";
			break;
	}
	return str;
}
//接通状态
function GetjtStateName(val) {
	var str = '';
	switch(val + '') {
		case 'false':
			str = "未接通";
			break;
		case 'true':
			str = "已接通";
			break;
	}
	return str;
}
//回访状态
function GethfStateName(val) {
	var str = '';
	switch(val + '') {
		case 'false':
			str = "未回访";
			break;
		case 'true':
			str = "已回访";
			break;
	}
	return str;
}
//通话记录
function TelIDs(val, row) {
    return '<div class="looks"  onclick= cl(' + row.F_TelID + ')>查看' +
		'</div>'
}
//电话
function CusTelphone(val, row) {
    return '<div class="imgs" onclick= ck(' + row.F_TelID + ')>' +
		'<img src="../img/vice.png" />' + val + '' +
		'</div>';
}
//序号
function Pai(value, row, index) {
	return index + 1;
}
//限制字符串长度
function cutContent(val) {
	if(val) {
		var str = '<div '
		if(val.length > 3) {
			str = str + ' title="' + val + '" ';
			val = val.substr(0, 3) + "...";
		}
		return str + '>' + val + '</div>';
	} else {
		return '';
	}
}
//搜索
$(".searchGo").click(function() {
		Finish();
});


//获取呼叫结果
function GetHJJG() {
	$.ajax({
		type: "get",
		url: huayi.config.callcenter_url +"Dictionary/GetDicValueListByFlag",
		dataType: 'json',
		data: {
			flag: 'HJJG',
			token: token
		},
		async: true,
		success: function(data) {
			var Count = data.data;
			$("<option value=''>--全部--</option>").appendTo($("#selhjjg"));
			for(var i = 0; i < Count.length; i++) {
				console.log(Count[i].F_UserName);
				$("<option value='" + Count[i].F_DictionaryValueId + "'>" + Count[i].F_Name + "</option>").appendTo($("#selhjjg"));
				$("<li><label for=''><input type='radio' name='check' value='" + Count[i].F_DictionaryValueId + "' /></label>" + Count[i].F_Name + "</li>").
				appendTo($("#Tgetruset"));
			}
		}
	});
}
//获取客户分类
function GetKHFL() {
    $.ajax({
        type: "get",
        url: huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag",
        dataType: 'json',
        data: {
            flag: 'WTKHFL',
            token: token
        },
        async: true,
        success: function (data) {
            var Count = data.data;
            $("<option value=''></option>").appendTo($("#QfenLei"));
            $("<option value=''>--全部--</option>").appendTo($("#wtkhfl"));
            for (var i = 0; i < Count.length; i++) {
                $("<option value='" + Count[i].F_DictionaryValueId + "'>" + Count[i].F_Name + "</option>").appendTo($("#QfenLei"));
                $("<option value='" + Count[i].F_DictionaryValueId + "'>" + Count[i].F_Name + "</option>").appendTo($("#wtkhfl"));
            }
        }
    });
}
//关闭阴影
$(".setwin").click(function() {
	$(".shark").hide();
});
//点击弹窗
function ck(str) {
	$(".shark").show();
	$(".thjl").addClass("yc");
	$(".phone_message").removeClass("yc");
	$(".phoneid").val(str);
	Hvisit();
}
//通话记录弹屏
function cl(id) {
	$(".shark").show();
	$(".phone_message").addClass("yc");
	$(".thjl").removeClass("yc");
	$(".phoneid").val(id);
	Thju();
}
//回访详情
function Hvisit(str) {
	$.ajax({
		type: "get",
		url: huayi.config.callcenter_url + "/VisithfOpt/GetInfo",
		dataType: 'json',
		async: true,
		data: {
			telid: $(".phoneid").val(),
			token: token
			//回访电话ID
		},
		success: function(data) {
			var content = data.data;
			console.log(content);
			$(".CusTelphone").text(content.F_CusTelphone);
			$(".CusPhone").text(content.F_CusPhone);
			$(".CusName").text(content.F_CusName);
			$(".License").text(content.F_License);
			$(".Store").text(content.F_Store);
			$(".Prodate").text(content.F_Prodate);
			$(".Brand").text(content.F_Brand);
			$(".Models").text(content.F_Models);
			$(".RepType").text(content.F_RepType);
			$(".RepItem").text(content.F_RepItem);
			$(".Elect").text(content.F_Elect);
			$(".Sheetmetal").text(content.F_Sheetmetal);
			$(".Paint").text(content.F_Paint);
			$(".RepUser").text(content.F_RepUser);
			$(".NewCus").text(content.F_NewCus);
			$(".Remark").text(content.F_Remark);
			$(".Reciver").text(content.F_Reciver);
			$(".RScore").text(content.F_RScore);
			$(".TheTeam").text(content.F_TheTeam);
			$(".TScore").text(content.F_TScore);
			$(".RingS").text(content.F_RingS);
			$(".WoNumber").text(content.F_WoNumber);
			$(".TotalS").text(content.F_TotalS);
			$(".VisResult").text(content.F_VisResult);
			$(".VisIS").text(content.F_VisIS);
			$(".VisInfo").val(content.F_VisInfo);
			$(".phoneid").val(content.F_TelID);
			$(".QuestionType").text(content.F_QuestionType);
		}
	});
}

//通话记录
function Thju(id) {
	//销毁表格
	$tableLeft2.bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	$tableLeft2.bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url +"VisitRecords/GetTelList",
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 5, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageList: [10, 20, 50, 100], //记录数可选列表
		search: false, //是否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				page: params.pageNumber,
				pagesize: params.pageSize,
				telid: $(".phoneid").val(),
				phone: $("#th_phone").val(),
				token: token
			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//										layer.msg("加载成功");
		},
		onLoadError: function() { //加载失败时执行
			//			layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}

//音频
function setCode(val) {
	if(val == "") {
		return '<div class="imgs vice">' +
			'</div>';
	} else {
		return '<div class="vices" onclick= vice("' + val + '")>' +
			'<img src="../img/vice.png" alt=""  />' +
			'</div>';
	}

}
//方向呼出
function callType(val) {
	return '<div class="imgs">呼出' +
		'</div>';

}

function states(val) {
	if(val == 0) {
		return '<div class="imgs">未接通' +
			'</div>';
	} else {
		return '<div class="imgs">已接通' +
			'</div>';
	}

}
//回访
function dealType(val) {
	if(val == 1) {
		return '<div >已回访' +
			'</div>';
	} else {
		return '<div >' +
			'</div>';
	}

}
//处理
function isDeal(val) {
	if(val == 0) {
		return '<div >未处理' +
			'</div>';
	} else {
		return '<div >已处理' +
			'</div>';
	}

}
//录音
function vice(val) {
    Ly = val;
    $(".shade_ks").removeClass("yc");
    Lys = Ly;
    $(".Ly_box").html("");
    $(".LY_box").empty();
    $('<audio  style="width:100%;"class=" " src="' + path + '" loop="loop" controls="controls"></audio>').appendTo(".Ly_box");
    //$('<a href="' + path + '" class="sc_btn LY "download="' + path + '">下载录音</a>').appendTo(".LY_box");
    var rl = $('#RoleCode', top.document).val();
    if (rl == "GLY" || rl == "ZXBZ") {
        $('<a href="' + path + '" class="sc_btn LY "download="' + path + '">下载录音</a>').appendTo(".LY_box");
    }
}
//搜索
$(".thjl_s").click(function() {
	phone = $("#th_phone").val();
	Thju();
})
//
$(".setwins").click(function() {
	$(".shade_ks").addClass("yc");
})
//提交表单
$("#Submit").click(function() {
	ids = $(".phoneid").val();
	phone = $(".CusTelphone").text(); //电话号码
	resid = $('#Tgetruset input[name="check"]:checked ').val(); //呼叫结果
	hfjgs = $(".hfjgs").val(); //回访结果
	hfinfos = $(".hfnrs").val(); //回访内容
	visiss = $(".sfcg").val(); //是否成功
	bzscores = $(".bz").val(); //班组得分
	jcyscores = $(".jb").val();
	hjscores = $(".hjs").val();
	ztscore = $(".zjs").val();
	scores = $(".zj").val();
	remarks = $(".bznr").val();
	qid = $('#QfenLei').val();
	Submit();

});

//回访数据提交
function Submit() {
	$.ajax({
		type: "get",
		url: huayi.config.callcenter_url +"VisithfOpt/AddInfo",
		dataType: 'json',
		async: true,
		data: {
			id: $(".phoneid").val(),
			phone: $(".CusTelphone").text(),
			resid: $('#Tgetruset input[name="check"]:checked ').val(),
			hfjg: $(".hfjgs").val(), //回访结果
			hfinfo: $(".hfnrs").val(), //回访内容
			visis: $(".sfcg").val(), //是否成功
			bzscore: $(".bz").val(),
			jcyscore: $(".jb").val(),
			hjscore: $(".hjs").val(),
			ztscore: $(".zjs").val(),
			score: $(".zj").val(),
			remark: $(".bznr").val(),
			qid: $('#QfenLei').val(),
			token: token
		},
		success: function(data) {
			if(data.state == "success") {
				$(".shark").hide();
				$(".phone_message").addClass("yc");
				layer.msg("提交成功");
				Clean();
				Finish();
			}

		}
	});
}
//清楚
function Clean() {
	$(".hfjgs").val(''); //回访结果
	$(".hfnrs").val(''); //回访内容
	$(".sfcg").val(''); //是否成功
	$(".bz").val('');
	$(".jb").val('');
	$(".hjs").val('');
	$(".zjs").val('');
	$(".zj").val('');
	$(".bznr").val('');
}